View Single Post
  #9  
Old 15th December 2010, 11:45
holykim holykim is offline
Member
 
Join Date: Jan 2009
Posts: 53
Thanks: 15
Thanked 3 Times in 2 Posts
Default

Hi Till

Can you please have a look at the code in red colour below? If I use client_update function without change the code below I have an error "Soap error : Wrong version".

Thanks

Harry

public function client_update($session_id, $client_id, $reseller_id, $params)
{
global $app;

if (!$this->checkPerm($session_id, 'client_update'))
{
$this->server->fault('permission_denied','You do not have the permissions to access this function.');
return false;
}
$affected_rows = $this->updateQuery('../client/form/client.tform.php', $reseller_id, $client_id, $params);

$app->remoting_lib->ispconfig_sysuser_update($params,$client_id);

return $affected_rows;
}
Reply With Quote